> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seller Shipping Rules

> Set seller specific channel shipping attributes (`channelSpecificAttributeList`, max. 8 entries) for a
Seller connected to this channel.




## OpenAPI

````yaml /openapi/marketplace-channels/channel.json put /v1/channel/shipping-rules/{sellerId}
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/shipping-rules/{sellerId}:
    put:
      tags:
        - Meta
      summary: Seller Shipping Rules
      description: >
        Set seller specific channel shipping attributes
        (`channelSpecificAttributeList`, max. 8 entries) for a

        Seller connected to this channel.
      operationId: PutSellerShippingRules
      parameters:
        - $ref: '#/components/parameters/SellerIdPath'
      requestBody:
        $ref: '#/components/requestBodies/SellerShippingRules'
      responses:
        '201':
          description: Seller Shipping Rules Created
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  parameters:
    SellerIdPath:
      in: path
      name: sellerId
      required: true
      schema:
        $ref: '#/components/schemas/SellerId'
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated from the Channel

        itself during the Seller SignUp Process.
  requestBodies:
    SellerShippingRules:
      description: Seller specific shipping attributes for the connected channel.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SellerShippingRules'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ResourceNotFound:
      description: Requested resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN404
                message: Not found
                severity: error
                hint: null
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    SellerShippingRules:
      description: Seller specific shipping attributes for a channel, set by that channel.
      type: object
      required:
        - channelSpecificAttributeList
      properties:
        channelSpecificAttributeList:
          type: array
          minItems: 0
          maxItems: 8
          items:
            $ref: '#/components/schemas/ChannelSpecificShippingAttribute'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    ChannelSpecificShippingAttribute:
      description: >-
        A shipping attribute specific to a single channel, defined by that
        channel itself.
      type: object
      required:
        - attributeId
        - displayName
        - type
        - level
      properties:
        attributeId:
          type: string
          minLength: 1
          maxLength: 150
          example: OTTO_RETURN_WAREHOUSE_ID
        displayName:
          type: string
          maxLength: 150
          example: Return Warehouse Id
        description:
          type: string
          maxLength: 1024
          example: Warehouse Id the return should be routed to
        type:
          $ref: '#/components/schemas/AttributeType'
        enumValues:
          type: array
          items:
            $ref: '#/components/schemas/AllowedValue'
        attributeValueValidation:
          type: string
          maxLength: 1024
          example: /^[0-9]{1,10}$/
        isMultipleAllowed:
          type: boolean
          default: false
          example: false
        level:
          $ref: '#/components/schemas/ShippingAttributeLevel'
        required:
          type: boolean
          default: false
          example: false
        recommended:
          type: boolean
          default: false
          example: false
    AttributeType:
      description: >
        Attribute type describes which kind of data is expected for a particular
        attribute.


        * Type **smalltext** is considered plain text and may not exceed more
        than 255 characters.

        * Type **text** is considered plain text and may not exceed a maximum
        length more than 50.000 characters.

        * Type **htmltext** may be used for text where HTML Markup is allowed.
        The maximum length should not exceed

        more than 50.000 characters.

        * Type **date** must follow [ISO
        8601](https://en.wikipedia.org/wiki/ISO_8601) standard with Timezone.

        * Type **enum** may provide a set of allowed choices via the values
        property

        * Type **image** a attribute with an existing remote File uploaded using
        `POST /v1/seller/offer/file`

        * Type **document** a attribute with an existing remote File uploaded
        using `POST /v1/seller/offer/file`

        * Type **url** must match a URL Schema

        * Type **label** can be used as help text. Requires description to be
        set
      type: string
      enum:
        - smalltext
        - htmltext
        - text
        - integer
        - decimal
        - enum
        - date
        - boolean
        - image
        - document
        - url
        - label
      example: text
      default: smalltext
    AllowedValue:
      type: object
      required:
        - value
      properties:
        value:
          description: >
            An enumeration to include in the set. The enumeration bust be
            string-based.

            Example: '1', 'green_l_st'
          type: string
          maxLength: 1024
          minLength: 1
        display:
          description: >
            An optional alias for the enumeration, which will be shown in the
            GUI. If left empty, the value will be shown instead.

            Example: 'Red', 'Light Green + Striped'
          type: string
          maxLength: 1024
          minLength: 1
        sort:
          description: Specifies the order of values
          type: integer
          default: 0
    ShippingAttributeLevel:
      description: >
        Defines on which entity a shipping attribute is captured.


        * Level **ORDER_ITEM** the attribute value is captured per order item
        (e.g. `IMEI`, `SERIAL_NUMBER`).

        * Level **SHIPMENT** the attribute value is captured per shipment (e.g.
        `DELIVERY_NOTE_NUMBER`).
      type: string
      enum:
        - ORDER_ITEM
        - SHIPMENT
      example: ORDER_ITEM
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````